#define cvsver cvs20060905
Name: gnomebaker
Version: 0.6.4
Release: alt2

Summary: CD/DVD burning program for GNOME.
Summary(ru_RU.UTF-8): Программа записи CD/DVD-дисков для GNOME.
License: %gpl3plus
Group: Graphical desktop/GNOME
Url: http://en.wikipedia.org/wiki/GnomeBaker

Packager: Alexey Rusakov <ktirf@altlinux.org>

%ifdef cvsver
Source: %name-%cvsver.tar.bz2
%else
Source: http://downloads.sourceforge.net/%name/%name-%version.tar.bz2
%endif
Patch1: %name-0.5.2-fix-build.patch
Patch2: %name-0.6.2-alt-no-gracetime.patch

Requires: cdrecord mkisofs
Requires: gst-plugins-vorbis gst-plugins-mad
#Requires: growisofs
Requires: dvd+rw-tools

BuildPreReq: rpm-build-licenses

BuildPreReq: libnotify-devel >= 0.2.1
BuildPreReq: libgnomeui-devel >= 2.8.1
BuildPreReq: libgtk+2-devel >= 2.8.0
BuildPreReq: glib2-devel >= 2.4.0
BuildPreReq: libxml2-devel >= 2.4.0
BuildPreReq: libglade-devel >= 2.4.2
BuildPreReq: gstreamer-devel >= 0.9.7

BuildRequires: libSM-devel scrollkeeper

%description
GnomeBaker is a GNOME CD/DVD burning application. GnomeBaker can:
    * Create Audio CDs from existing WAVs, MP3, FLAC and Oggs
    * Import M3U and PLS audio playlists
    * Create Data CDs
    * Blank RW disks
    * Copy Data CDs
    * Copy Audio CDs
    * Burn existing CD ISO images
    * Can burn via SCSI and ATAPI on Linux kernels 2.4 and 2.6. Basically if cdrecord works then Gnomebaker will work.
    * Drag and drop to create Data CDs (including DnD to and from nautilus)
    * Integrate with GConf for storage of application settings
    * Burn DVDs
    * Support multisession burning
    * Blank/Format DVDs
    * Burn Cue/Bin files
    * Burn Data CDs on the fly

In the future it will also do the following and hopefully much more:
    * Create Video CDs from existing video and stills
    * Create mixed mode CDs

%prep
%ifdef cvsver
%setup -q -n %name
%else
%setup -q
%endif
%patch1
%patch2 -p1
# Actually, these two AC_SUBSTs don't substitute anything, but autoconf
# stops on them. So we make them more safe.
%__subst 's/AC_SUBST(gstreamer-0\./AC_SUBST(GSTREAMER_0_/' configure.in

%build
%autoreconf
%configure \
    --disable-schemas-install --disable-scrollkeeper \
    --enable-libnotify

%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang --with-gnome %name

%files -f %name.lang
%_bindir/*
%_desktopdir/*
%dir %_datadir/%name
%_datadir/%name/*
%_iconsdir/*/*/*/%{name}*
%doc ChangeLog TODO AUTHORS

%changelog
* Fri Feb 27 2009 Alexey Rusakov <ktirf@altlinux.org> 0.6.4-alt2
- Removed deprecated post/postun scripts.

* Tue Sep 02 2008 Alexey Rusakov <ktirf@altlinux.org> 0.6.4-alt1
- new version (0.6.4)
- corrected License tag
- added Packager tag
- fixed autoconf'ing

* Thu Apr 10 2008 Igor Vlasenko <viy@altlinux.ru> 0.6.2-alt1.qa1
- NMU (by repocop): the following fixes applied:
 * update_menus for gnomebaker

* Sat Oct 13 2007 Alexey Rusakov <ktirf@altlinux.org> 0.6.2-alt1
- new version (0.6.2)
- updated Source URL.
- added a patch that removes gracetime option from cdrecord invocations
  (ALT Bug #10821).

* Sat Jun 30 2007 Alexey Rusakov <ktirf@altlinux.org> 0.6.1-alt1
- updated Source URL
- use more path macros
- updated dependencies

* Mon Sep 25 2006 Alexey Rusakov <ktirf@altlinux.ru> 0.5.2-alt0.cvs20060905.1
- fixed dependencies
- fixed configure process
- fixed building with older Gtk+ (for backports).

* Tue Sep 05 2006 Ildar Mulyukov <ildar@altlinux.ru> 0.5.2-alt0.cvs20060905
- pre-0.5.2 CVS version
- added gstreamer-0.10 support
- fixed bugs #

* Thu Apr 06 2006 Alexey Rusakov <ktirf@altlinux.ru> 0.5.1-alt1
- new version (0.5.1)

* Wed Jul 20 2005 Alexey Rusakov <ktirf@altlinux.ru> 0.4-alt1
- New upstream version.

* Sat May 28 2005 Alexey Rusakov <ktirf@altlinux.ru> 0.3-alt1
- Initial Sisyphus package.

